library(ggplot2)

#faili sisselugemine
J144=read.csv2("PT1-T1.4-J1.4.4.csv",header=TRUE, encoding ="UTF-8")
J144$odds.ratio=as.numeric(J144$odds.ratio)
J144$odds.ratio=as.numeric(J144$odds.ratio)
J144$Lower.95..CI=as.numeric(J144$Lower.95..CI)
J144$Higher.95..CI=as.numeric(J144$Higher.95..CI)
J144$Faktor=reorder(J144$Faktor,rev(J144$Jk))
J144$Paneel[J144$Paneel==1]="a"
J144$Paneel[J144$Paneel==2]="b"
J144$col="#FF3600"
J144$col[J144$odds.ratio==1]="#668080"
col=J144$col

#joonis
ggplot(J144,aes(x=Faktor,y=odds.ratio))+
  facet_grid(~Paneel)+
  geom_point(col=col,cex=2)+
  geom_errorbar(aes(ymin=Lower.95..CI,ymax=Higher.95..CI),width=0.2,linewidth=0.5,col=col)+
  geom_abline(slope=0,intercept=1,col="#668080")+
  theme_minimal()+
  coord_flip()+
  scale_y_continuous(limits=c(0.75,4.25),breaks=seq(0.75,4.25,0.25))+
  theme(axis.text.x = element_text(angle = 90))+
  xlab("")+
  ylab("")+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x = element_text(face = "bold",size=15,color="#668080"))









